[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# OnCreateGUID

Callback to create GUID values

## Declaration

Source position: sysutilh.inc line 259

`var OnCreateGUID: TCreateGUIDFunc = Nil;`

## Description

OnCreateGUID can be set to point to a custom routine that creates GUID values. If set, the CreateGUID function will use it to obtain a GUID value. If it is not set, a default implementation using random values will be used to create the unique value. The function should return a valid GUID in the GUID parameter, and should return zero in case of success.

## See also

CreateGUID |  | Create a new GUID
TCreateGUIDFunc |  | Callback prototype to create GUIDs